/**
 *
 * SINE and COSINE functions with fixedpoint math
 * based upon
 * SINCOS.C   -   Sinus/Cosinus Berechnung (Andreas Schwerendt 7.8.1985)
 *
 * Unittest
 * modern implementation in C99 by Matthias Arndt <marndt@asmsoftware.de>
 *
 */
 
#include <math.h>
#include <stdint.h>
#include <stdio.h>

#include "int16sin.h"

int main(void)
{
	int16_t deg;	
	double deg_to_rad;
		
	printf("angle;isin(angle);sin(angle);icos(angle);cos(angle)\r\n");
	
	for(deg = 0; deg < 360; deg++)
	{
		deg_to_rad = (((double)deg * (double)3.1415962)/180);
		printf("%d;%d;%d;%d;%d\r\n",deg, isin(deg),(int)(sin(deg_to_rad)*32767), icos(deg), (int)(cos(deg_to_rad)*32767));
	}
	
	return 0;
}

